org.apache.tinkerpop.gremlin.neo4j.jsr223

## Class Neo4jGremlinPlugin

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin
  - - org.apache.tinkerpop.gremlin.neo4j.jsr223.Neo4jGremlinPlugin

- All Implemented Interfaces:
    GremlinPlugin

      public final class Neo4jGremlinPlugin
      extends AbstractGremlinPlugin

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin

      `appliesTo, customizers, moduleName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Neo4jGremlinPlugin()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Neo4jGremlinPlugin` | `instance()`
    `boolean` | `requireRestart()` Some modules may require a restart of the plugin host for the classloader to pick up the features.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin

      `getCustomizers, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinPlugin

      `getCustomizers`

- - ### Constructor Detail

    - #### Neo4jGremlinPlugin

          public Neo4jGremlinPlugin()

  - ### Method Detail

    - #### instance

          public static Neo4jGremlinPlugin instance()

    - #### requireRestart

          public boolean requireRestart()

      Description copied from interface: `GremlinPlugin`
      Some modules may require a restart of the plugin host for the classloader to pick up the features. This is typically true of modules that rely on `Class.forName()` to dynamically instantiate classes from the root classloader (e.g. JDBC drivers that instantiate via @{code DriverManager}).

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.